import { EventEmitter } from "../../stencil-public-runtime";
import { ThemeSwitchSizesType } from "./constants";
import { ThemeList, ThemeSwitchEvent } from "./gov-theme-switch.types";
export declare class GovThemeSwitch {
    private h;
    constructor();
    host: HTMLGovThemeSwitchElement;
    /**
     * Switch's size.
     */
    readonly size?: ThemeSwitchSizesType;
    /**
     * Display switch label
     */
    readonly displayLabel? = false;
    /**
     * Label in light mode
     */
    readonly ariaLabelLight? = "P\u0159epnout na tmav\u00FD m\u00F3d";
    /**
     * Label in dark mode
     */
    readonly ariaLabelDark? = "P\u0159epnout na sv\u011Btl\u00FD m\u00F3d";
    /**
     * Label in light mode
     */
    readonly labelLight? = "Sv\u011Btl\u00FD m\u00F3d";
    /**
     * Label in dark mode
     */
    readonly labelDark? = "Tmav\u00FD m\u00F3d";
    /**
     * Called when the theme is changed by the user
     */
    govChange: EventEmitter<ThemeSwitchEvent>;
    validateSize(newValue: string): void;
    watchTheme(newValue: ThemeList): void;
    theme: ThemeList;
    private get storageValue();
    private get htmlElement();
    private get isSystemPrefersColorDark();
    componentWillLoad(): void;
    private initDefaultState;
    private setThemeState;
    render(): any;
}
